TYPO3.TYPO3CR - Bug # 48214

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:

Created: 2013-05-15 Assigned To: Sebastian Kurfuerst
Updated: 2013-09-30 Due date:

Subiject: Moving of nodes across levels should not show the same node twice

Description

If having a node structure in live workspace, and MOVING a node into another
parent node, this is copied into your personal workspace.

In neos, the moved node is then shown twice: First from the user workspace (correct), and from the live workspace (wrong!).

It only breaks for fetching collections of nodes, but that's what we do in Neos all the time.

Associated revisions

Revision 4bf537ef - 2013-09-30 20:58 - Sebastian Kurfuerst

[BUGFIX] Fix moving of nodes across workspace levels

Adds a check for moved nodes in your workspace while fetching
child nodes and also introduces dgl to make this check faster.

Also implements test cases which show this behavior.
Change-Id: 18700ce155cf929eddb5a046d6362209f796e6b81

Fixes: #48214
Reviewed-on: https://review.typo3.org/20782

Reviewed-by: Christian Mueller

Tested-by: Christian Mueller

Revision 1a6aa006 - 2013-10-01 00:04 - Sebastian Kurfuerst

[BUGFIX] fix regression introduced with moving-nodes-fix

Related: #48214

Change-Id: 17aeabde61ea48c3be55d5903cfc56258d72f5032
Reviewed-on: https://review.typo3.org/24189

Reviewed-by: Rens Admiraal
Reviewed-by: Aske Ertmann
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

History

#1 - 2013-05-15 12:10 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20782
#2 - 2013-05-16 10:58 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/20782

#3 - 2013-05-16 11:47 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/20782

#4 - 2013-05-17 10:14 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/20782

#5 - 2013-05-17 10:16 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/20782

#6 - 2013-05-17 11:25 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/20782

#7 - 2013-05-17 18:57 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/20782

#8 - 2013-05-17 19:03 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/20782

#9 - 2013-05-17 19:06 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/20782

#10 - 2013-07-11 23:52 - Aske Ertmann
- Status changed from Accepted to Under Review
- Target version set to 1.0 beta 1
#11 - 2013-09-30 16:24 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20782

#12 - 2013-09-30 19:40 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20782

#13 - 2013-09-30 19:52 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20782

#14 - 2013-09-30 19:58 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20782

#15 - 2013-09-30 20:35 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20782

#16 - 2013-09-30 20:56 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20782

#17 - 2013-09-30 21:36 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4bf537ef1aa8b7538051abb4d0aa8210a23eaac3.
